0

i'm trying to install putty and i got the following error

E: Malformed entry 4 in list file /etc/apt/sources.list.d/additional-repositories.list (Component)
E: The list of sources could not be read.
E: Malformed entry 4 in list file /etc/apt/sources.list.d/additional-repositories.list (Component)
E: The list of sources could not be read.

after going through some posts on this forum . i opened the file using sudo nano /etc/apt/sources.list.d/additional-repositories.list i have the following content

deb [arch=amd64] https://download.docker.com/linux/debian    sylvia    stable
deb [arch=amd64] https://download.docker.com/linux/debian    sylvia    stable
deb [arch=amd64] https://download.docker.com/linux/ubuntu    sylvia sudo add-ap$
deb [arch=amd64] https://download.docker.com/linux/ubuntustable
deb [arch=amd64] https://download.docker.com/linux/ubuntu xenial stable

i created a space between ubuntu and stable in line 4 . but still got the sane error? what is wrong with it ?

P.S:- While getting my hands on first time on docker, i uninstalled some packages which i don't need . so, i would like to remove all docker files and install freshly for linux mint.

  • @N0rbert sry, i'm new to linux and don't know much about it. so, haven't understood that post. But, anyways the below answer worked . so peace – Pavan Guguloth May 29 at 13:09
2

You need a distribution keyword between ubuntu and stable, e.g.

deb [arch=amd64] https://download.docker.com/linux/ubuntu focal stable

if you're on 20.04.

| improve this answer | |

Not the answer you're looking for? Browse other questions tagged or ask your own question.